Subject: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Wolfgang Jenkner <[email-masked]>
Date: Tue, 26 Mar 2013 01:35:20 +0100

On Sun, Mar 24 2013, Michael Albinus wrote:

> The problem seems to be, that defalias is evaled during
> byte-compilation.

I think it's eval'ed when compiling tramp-sh because there's a
(require 'tramp) form there, see (info "(elisp)Compilation Functions"),
so this has nothing to do with defalias:

[1 /tmp/lisp]$ cat foo.el
(message "Hi! I'm being evalled.")
(provide 'foo)
[2 /tmp/lisp]$ cat bar.el
(require 'foo)
[3 /tmp/lisp]$ emacs --batch -Q -L . -f batch-byte-compile foo.el
Wrote /tmp/lisp/foo.elc
[4 /tmp/lisp]$ emacs --batch -Q -L . -f batch-byte-compile bar.el
Hi! I'm being evalled.
Wrote /tmp/lisp/bar.elc
[5 /tmp/lisp]$

Wolfgang